<?php

namespace CouponsPlus\App\Conditions\Stubs\Conditions;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class CustomerPurchaseHistory implements DashboardCardData
{
    const TYPE = 'CustomerPurchaseHistory';

    static public function getName() : string
    {
        return __('Past Purchase History (quantity)', 'coupons-plus-for-woocommerce');
    }

    static public function getDescription() : string
    {
        return 'Checks the number of past purchased items across all paid orders (processing and completed). Ignores all other order statuses, like pending.';
    }

    static public function getUseCases(): Collection
    {
        return new Collection([
            __('Apply an offer on a customer\'s first order.', 'coupons-plus-for-woocommerce'),
            __('Restrict offers to existing paying customers.', 'coupons-plus-for-woocommerce'),
            __('Reward customers that have made several purchases.', 'coupons-plus-for-woocommerce'),
        ]);
    }

    static public function getNotes() : array
    {
        return [
            //'This will consider guest users (if you set it to 0 purchases, a guest would be valid)'
        ];
    }
}
